# 组件特性 1

- order: 0

简单的文档描述

---

```js
/** @jsx createElement */
import { createElement, Component, render } from 'rax';
import View from 'nuke-view';
import Text from 'nuke-text';
import Button from 'nuke-button';
import ImageView from 'nuke-image-viewer';

const data = [
  'http://img.alicdn.com/tps/TB1SrmcOVXXXXXFXpXXXXXXXXXX-520-280.jpg',
  'https://img.alicdn.com/tfs/TB1eW.0n22H8KJjy0FcXXaDlFXa-1620-538.png',
  'https://img.alicdn.com/tfs/TB1u2k9dOqAXuNjy1XdXXaYcVXa-267-471.jpg',
  'https://img.alicdn.com/tfs/TB1YhwQnlTH8KJjy0FiXXcRsXXa-361-639.jpg'
];
let App = class NukeDemoIndex extends Component {
  constructor() {
    super();
    this.state={
      current:0
    }
    this.goNext = this.goNext.bind(this);
  }
  componentDidMount() {

  }

  goNext(){
    const length = data.length;
    const {current } = this.state;
    if(current+1<data.length){
      this.refs.x.changeIndex(current+1);
      this.setState({current:current+1 });
    }
    
  }
  render() {
    return (
      <View style={{ flex: 1 }}>
        <ImageView
        ref="x"
          imageList={data}
          current={this.state.current}
          onChange={index => {
            this.setState({current:index})
          }}
        />
        <Button style={{position:'absolute',zIndex:3000}} onPress={this.goNext}>下一个</Button>
      </View>
    );
  }
};

render(<App />);
```
