'use strict';

/** @jsx createElement */

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _rax = require('rax');

var _nukeDimensions = require('nuke-dimensions');

var _nukeDimensions2 = _interopRequireDefault(_nukeDimensions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Viewer = function (_Component) {
  _inherits(Viewer, _Component);

  function Viewer(props) {
    _classCallCheck(this, Viewer);

    var _this = _possibleConstructorReturn(this, (Viewer.__proto__ || Object.getPrototypeOf(Viewer)).call(this, props));

    _this.state = {
      current: props.current
    };
    _this.changeHandler = _this.changeHandler.bind(_this);
    return _this;
  }

  _createClass(Viewer, [{
    key: 'changeIndex',
    value: function changeIndex(index) {
      this.setState({
        current: index
      });
    }
  }, {
    key: 'imgOnLoad',
    value: function imgOnLoad(index, e) {
      this.props.onLoad && this.props.onLoad(e, index);
    }
  }, {
    key: 'changeHandler',
    value: function changeHandler(e) {
      this.setState({
        current: e.index
      });
      this.props.onChange && this.props.onChange(e.index);
    }
  }, {
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          style = _props.style,
          imageList = _props.imageList,
          onChange = _props.onChange,
          loop = _props.loop,
          others = _objectWithoutProperties(_props, ['style', 'imageList', 'onChange', 'loop']);
      // 兼容API标准


      var nativeProps = _extends({}, others, {
        onChange: this.changeHandler,
        offsetXAccuracy: '10',
        autoPlay: false,
        showIndicators: false,
        append: 'node',
        infinite: loop,
        index: this.state.current,
        style: Object.assign(styles.slider, style),
        ref: "myslider"

      });
      return (0, _rax.createElement)(
        'slider',
        nativeProps,
        imageList.map(function (item, index) {
          return (0, _rax.createElement)('imagezoom', { src: item, style: styles.imageview, resize: "contain", onLoad: _this2.imgOnLoad.bind(_this2, index) });
        })
      );
    }
  }]);

  return Viewer;
}(_rax.Component);

var styles = {
  slider: {
    width: 750,
    height: _nukeDimensions2.default.get('window').height
  },
  imageview: {
    width: 750,
    // height: 1300,
    height: _nukeDimensions2.default.get('window').height,
    backgroundColor: '#000000'
    //animation: 'easeshow 0.25s',
  }
};
exports.default = Viewer;
module.exports = exports['default'];